<template>
  <div>
    <h2>{{ msg }}</h2>
    <div v-for="race in races" :key="race.id">
      <Race :raceModel="race" />
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from 'vue';
import { getRaces } from '@/services/api';
import Race from '@/components/Race.vue';

export default defineComponent({
  name: 'Races',

  components: {
    Race
  },

  props: {
    msg: {
      type: String,
      default: 'Welcome!'
    }
  },

  data() {
    return {
      races: []
    };
  },

  mounted() {
    getRaces().then(res => (this.races = res));
  }
});
</script>
